<html>
    <head>
        <title>App Enquete</title>
    </head>
    <body>
        <h2>Aplicação de Enquetes</h2>
        <h4>Detalhes da Enquete #{{ pergunta.id }}<br/>
        (<i>válida no périodo de {{ pergunta.data_publicacao }}&ensp;até&ensp;
        {{ pergunta.data_encerramento }}</i>)</h4>
        <h3>
            {{ pergunta.texto }}
            {% if pergunta.autor.user == user %}
                (<a href="{% url 'enquetes:editar' pergunta.id %}">.:editar:.</a>)
            {% endif %}
        </h3>
        <p>
            <u>Autor</u>: <a href="{% url 'enquetes:perfil' pergunta.autor.id %}">
            {{ pergunta.autor.nome }}</a> ({{ pergunta.autor.perfil.cidade }},
            {{ pergunta.autor.perfil.pais }})
        </p>
        <p><u>Rótulos</u>:
        {% for rotulo in pergunta.rotulos.all %}
            <a href="{% url 'enquetes:por_rotulo' rotulo.id %}">
            {{ rotulo.titulo }}</a>{% if forloop.counter < pergunta.rotulos.count %},&nbsp;
            {% endif %}
        {% endfor %}
        </p>
        Escolha a sua opção:
        {% if error_message %}
            <p><strong>{{ error_message }}</strong></p>
        {% endif %}
        <form action="{% url 'enquetes:votacao' pergunta.id %}" method="post">
            {% csrf_token %}
            {% for op in pergunta.opcao_set.all %}
                &nbsp;&nbsp;&nbsp;&nbsp;
                <input type="radio" name="opcao" id="opcao{{ forloop.counter }}"
                    value="{{ op.id }}"/>
                <label for="opcao{{ forloop.counter }}">{{ op.texto }}</label><br/>
            {% endfor %}
            <p><input type="submit" value="Registre o seu Voto"/></p>
        </form>
        <hr/>
        <a href="{% url 'enquetes:index' %}">Página principal</a>
        {% if user.is_authenticated %}
            &ensp;|&ensp;
            Logado como <b>{{ user.username }}</b>&ensp;|&ensp;
            <a href="{% url 'enquetes:perfil' user.autor.id %}">Ver Perfil</a>
            &ensp;|&ensp;
            <a href="{% url 'logout' %}?next=/enquetes">Logout</a>
        {% endif %}
    </body>
</html>